GCLOUD_COMPUTE_INSTANCES_ADD-TAGS(1)

NAME

gcloud compute instances add-tags - add tags to Google Compute Engine virtual machine instances

SYNOPSIS

gcloud compute instances add-tags NAME --tags TAG,[TAG,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances add-tags is used to add tags to Google Compute Engine virtual machine instances. For example, running:
    $ gcloud compute instances add-tags example-instance --tags tag-1 \
        tag-2
will add tags tag-1 and tag-2 to 'example-instance'. Tags can be used to identify the instances when adding network firewall rules. Tags can also be used to get firewall rules that already exist to be applied to the instance. See gcloud compute firewall-rules create(1) for more details.

POSITIONAL ARGUMENTS
NAME
    The name of the instance whose tags should be modified.

REQUIRED FLAGS
--tags TAG,[TAG,...]
    Specifies strings to be attached to the instance for later identifying the instance when adding network firewall rules. Multiple tags can be attached by repeating this flag.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance to set tags on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.